Vulnerability & Exploit Database

Displaying all 2 entries

Results for: CVE-2017-1000370 Back to search

Huawei EulerOS: CVE-2017-1000370: kernel security update Vulnerability

  • Severity: 7
  • Published: June 19, 2017

The offset2lib patch as used in the Linux Kernel contains a vulnerability that allows a PIE binary to be execve()'ed with 1GB of arguments or environmental strings then the stack occupies the address 0x80000000 and the PIE binary is mapped above 0x40000000 nullifying the protection of the offset2lib patch. This affects Linux Kernel versi...

Debian: CVE-2017-1000370: linux -- security update Vulnerability

  • Severity: 7
  • Published: June 19, 2017

The offset2lib patch as used in the Linux Kernel contains a vulnerability that allows a PIE binary to be execve()'ed with 1GB of arguments or environmental strings then the stack occupies the address 0x80000000 and the PIE binary is mapped above 0x40000000 nullifying the protection of the offset2lib patch. This affects Linux Kernel versi...